<?php
$god = date('Y')+1;

$date = strtotime("1 January 2013");  
  
$sec=$date - time();  
$days=floor(($date - time()) /86400);  
$h1=floor(($date - time()) /3600);  
$m1=floor(($date - time()) /60);  
$s1=floor(($date - time()) /60/60);  
$hour=floor($sec/60/60 - $days*24);  
$hours=floor($sec/60/60);  
$min=floor($sec/60 - $hours*60);  


 
if($days > 10 and $days < 21)
{
	$o='осталось';
}else
{
	switch(substr($days, -1)){  
	case 1: $o='остался';
	break;
	case 2:
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
	case 9:
	case 0: $o='осталось';
	break;}
}  

if($days > 10 and $days < 21)
{
	$d='дней';
}else
{
	switch(substr($days, -1)){
	case 1: $d='день';
	break;
	case 2:
	case 3:
	case 4:$d='дня';
	break;
	default: $d='дней';
	}  
}

if($hour > 10 and $hour < 21)
{
	$h='часов';
}else
{
	switch(substr($hour, -1)) {  
	case 1: $h='час';
	break;
	case 2:
	case 3:
	case 4: $h='часа';
	break;
	default: $h='часов';
	}  
} 
if($min > 10 and $min < 21)
{
	$m='минут';
}else
{
	switch(substr($min, -1)) {
	case 1: $m='минута';
	break;
	case 2:
	case 3:
	case 4: $m='минуты';
	break;
	default: $m='минут';
	}
}
if ($sec>0) $resinf = 'До нового <font color="blue">'.$god.'</font> года '.$o.' <br/>'; 
if ($days>0) $resinf .= '<font color="red"><b>'.$days.'</b></font> '.$d.' '; //дни
if ($h1>0) $resinf .= '<font color="red"><b>'.$hour.'</b></font> '.$h;//часы
if ($m1>0) $resinf .= ' и <font color="red"><b>'.$min.'</b></font> '.$m;//минуты
if ($sec<0 and date('nj') < '18') $resinf = (' <b>Администрация VipVi.ru поздравляет всех C новым '.date('Y').' Годом!!!</b>'); 

echo menu.$resinf.div;
?>
